%define pkg_name        Crypt-CAST5
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.4

Summary:       CAST5 block cipher
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BO/BOBMATH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.47}


%description
This module provides an implementation of the CAST5 block cipher using
compiled C code for increased speed. CAST5 is also known as CAST-128. It is
a product of the CAST design procedure developed by C. Adams and S.
Tavares.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Jul 02 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.3
- version 0.05

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
